MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023348Community[OCCT] OCCT:DRAWpublic2012-07-25 19:472012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023348: Expression 'ii >= 0' is always true. Unsigned type value is always >= 0.
DescriptionIn Draw_Interpretor.cxx, line 391
Problem introduced after changing some variable to 'Standard_Size'
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023072closeddbv Open CASCADE Eliminate compiler warnings (level 3) on Windows / MSVC++ 

-  Notes
(0021159)
Pawel (developer)
2012-07-26 12:59

Corresponding git branch pushed. Please review.
(0021170)
abv (manager)
2012-07-27 08:51

I have modified the code to use OSD_Path instead of parsing C strings; this makes the code more clear and also makes it working on Windows (where original path contains reversed slashes which were not considered).

The new test case added: demo draw getsource

Please review
(0021172)
Pawel (developer)
2012-07-27 11:55

No remarks. Please forward for testing.
(0021188)
apn (administrator)
2012-07-31 10:03

Dear BugMaster,
Branch CR23348 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master d33dea30
Timestamp: 2012-08-03 09:28:27
Author: Pawel
Details ] Diff ]
0023348: Expression 'ii >= 0' is always true. Unsigned type value is always >= 0.

Redesigned the loop to work correctly with unsigned variables.
Treatment of path to source file is rewritten using OSD_Path for more clarity
Command getsourcefile corrected to return its result as Tcl string, and simplified
Error in treatment of optional arguments in substituted puts is fixed in src/DrawResources/TestCommands.tcl
Test case added: demo draw getsource
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/DrawResources/StandardCommands.tcl Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
add - tests/demo/draw/getsource Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-25 19:47 Pawel New Issue
2012-07-25 19:47 Pawel Assigned To => Pawel
2012-07-25 19:48 Pawel Relationship added related to 0023072
2012-07-26 12:59 Pawel Note Added: 0021159
2012-07-26 12:59 Pawel Assigned To Pawel => bugmaster
2012-07-26 12:59 Pawel Status new => resolved
2012-07-27 08:48 abv Assigned To bugmaster => Pawel
2012-07-27 08:51 abv Note Added: 0021170
2012-07-27 11:55 Pawel Note Added: 0021172
2012-07-27 11:55 Pawel Assigned To Pawel => bugmaster
2012-07-27 11:55 Pawel Status resolved => reviewed
2012-07-31 10:03 apn Note Added: 0021188
2012-07-31 10:04 apn Test case number => Not needed
2012-07-31 10:04 apn Status reviewed => tested
2012-08-06 16:35 Pawel Changeset attached => occt master d33dea30
2012-08-06 16:35 Pawel Assigned To bugmaster => Pawel
2012-08-06 16:35 Pawel Status tested => verified
2012-08-06 16:35 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker